Bug 1296970 - rubygem-globalid-0.4.0 is available
Summary: rubygem-globalid-0.4.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-globalid
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-08 15:18 UTC by Upstream Release Monitoring
Modified: 2017-06-05 14:09 UTC (History)
3 users (show)

Fixed In Version: rubygem-globalid-0.4.0-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-05 14:09:18 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 0.3.6 (#1296970) (1.04 KB, patch)
2016-01-08 15:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 0.3.6 (1.41 KB, patch)
2016-07-07 11:48 UTC, Jun Aruga
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.48 KB, patch)
2016-07-27 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-01-08 15:18:16 UTC
Latest upstream release: 0.3.6
Current version/release in rawhide: 0.3.3-2.fc23
URL: https://rubygems.org/gems/globalid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-01-08 15:18:26 UTC
Created attachment 1112912 [details]
[patch] Update to 0.3.6 (#1296970)

Comment 2 Upstream Release Monitoring 2016-01-08 15:21:43 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12467351

Comment 3 Jun Aruga 2016-07-07 11:46:26 UTC
I will take this!

Comment 4 Jun Aruga 2016-07-07 11:48:54 UTC
Created attachment 1177256 [details]
Update to 0.3.6

- Update to latest version.
- Replaced the test suite to the version.

Could you check my patch?
Thanks.

Comment 5 Jun Aruga 2016-07-07 11:52:30 UTC
I have checked below points too.

- dependency (I have checked only rawhide): ok
- mock build: ok
- install: ok
- rpmlint: ok
- license check: ok

Comment 6 Vít Ondruch 2016-07-07 11:54:58 UTC
LGTM

Comment 7 Upstream Release Monitoring 2016-07-27 00:20:13 UTC
Latest upstream release: 0.3.7
Current version/release in rawhide: 0.3.6-0.1.fc25
URL: https://rubygems.org/gems/globalid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8722/

Comment 8 Upstream Release Monitoring 2016-07-27 00:20:21 UTC
Patching or scratch build for rubygem-globalid-0.3.6 failed.

Comment 9 Upstream Release Monitoring 2016-07-27 00:20:23 UTC
Created attachment 1184433 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 10 Upstream Release Monitoring 2016-07-27 00:20:25 UTC
Patches were not touched. All were applied properly

Comment 11 Upstream Release Monitoring 2017-04-17 00:13:21 UTC
Latest upstream release: 0.4.0
Current version/release in rawhide: 0.3.6-3.fc26
URL: https://rubygems.org/gems/globalid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8722/

Comment 12 Upstream Release Monitoring 2017-04-17 00:13:27 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 13 Upstream Release Monitoring 2017-06-05 14:06:48 UTC
jaruga's rubygem-globalid-0.4.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=903099

Comment 14 Jun Aruga 2017-06-05 14:09:18 UTC
Updated to latest versioni 0.4.0.

I tested below things.

- Dependency check: ok
  - rubygem-activejob-0:5.0.2-1.fc27.noarch: ok
- License check: ok
- rpmlint check: ok
- Install check: ok
- IRB check: ok


Note You need to log in before you can comment on or make changes to this bug.